aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorWarren Dukes <warren.dukes@gmail.com>2004-02-23 23:41:20 +0000
committerWarren Dukes <warren.dukes@gmail.com>2004-02-23 23:41:20 +0000
commitd35747a40c7dea12de95f78a4f283a45ef687597 (patch)
tree3a85f138e68c7ef3e5a9ece863ed7266ad1cd7ce /autogen.sh
import from SF CVS
git-svn-id: https://svn.musicpd.org/mpd/trunk@1 09075e82-0dd4-0310-85a5-a0d7c8717e4f
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh65
1 files changed, 65 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..112365ae
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+echo "Generating build information using aclocal, automake and autoconf"
+echo "This may take a while ..."
+
+# Touch the timestamps on all the files since CVS messes them up
+#touch Makefile.am configure.in
+#touch libid3tag/Makefile.am libid3tag/configure.ac
+#touch libmad/Makefile.am libmad/configure.ac
+
+#rm -f configure
+#rm -f libid3tag/configure
+#rm -f libmad/configure
+#rm -f config.cache
+#rm -f config.status
+#rm -f libid3tag/config.status
+#rm -f libmad/config.status
+#rm -rf autom4te*.cache
+#rm -rf libid3tag/autom4te*.cache
+#rm -rf libmad/autom4te*.cache
+#rm -f aclocal.m4
+#rm -f libid3tag/aclocal.m4
+#rm -f libmad/aclocal.m4
+
+# Regenerate configuration files
+libtoolize -f -c
+
+for i in -1.8 -1.7 -1.6 ''; do
+ if [ -z $ACLOCAL ]; then
+ which aclocal$i
+ if [ "$?" = "0" ]; then
+ ACLOCAL=aclocal$i
+ fi
+ fi
+ if [ -z $AUTOMAKE ]; then
+ which automake$i
+ if [ "$?" = "0" ]; then
+ AUTOMAKE=automake$i
+ fi
+ fi
+done
+
+if [ -d /usr/local/share/aclocal ]; then
+ $ACLOCAL -I /usr/local/share/aclocal
+else
+ $ACLOCAL
+fi
+$AUTOMAKE --foreign --add-missing -c
+autoconf
+
+cd src/libid3tag
+$ACLOCAL
+$AUTOMAKE --foreign --add-missing -c
+autoconf
+cd ../..
+
+cd src/libmad
+$ACLOCAL
+$AUTOMAKE --foreign --add-missing -c
+autoconf
+cd ../..
+
+# Run configure for this platform
+./configure $*
+